Bug 1866563 (CVE-2020-11984) - CVE-2020-11984 httpd: mod_proxy_uwsgi buffer overflow
Summary: CVE-2020-11984 httpd: mod_proxy_uwsgi buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-11984
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1868148 1869075 1869076
Blocks: 1866566
TreeView+ depends on / blocked
 
Reported: 2020-08-05 22:07 UTC by Pedro Sampaio
Modified: 2021-05-18 15:15 UTC (History)
27 users (show)

Fixed In Version: httpd 2.4.44
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Apache httpd in versions 2.4.32 to 2.4.46. The uwsgi protocol does not serialize more than 16K of HTTP header leading to resource exhaustion and denial of service. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2020-10-28 20:21:27 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4383 0 None None None 2020-10-28 15:49:47 UTC
Red Hat Product Errata RHSA-2020:4384 0 None None None 2020-10-28 16:01:00 UTC

Description Pedro Sampaio 2020-08-05 22:07:06 UTC
A flaw was found in httpd before version 2.4.46. The uwsgi protocol does not let us serialize more than 16K of HTTP header leading to resource exhaustion and denial of service.

Upstream patch: 

http://svn.apache.org/viewvc?view=revision&revision=1880251

Comment 1 Pedro Sampaio 2020-08-05 22:07:10 UTC
Acknowledgments:

Name: the Apache project

Comment 3 Ted Jongseok Won 2020-08-06 00:16:47 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat JBoss Enterprise Web Server 2

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 5 Guilherme de Almeida Suckevicz 2020-08-11 19:46:05 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1868148]

Comment 6 Huzaifa S. Sidhpurwala 2020-08-16 10:36:12 UTC
External References:

https://httpd.apache.org/security/vulnerabilities_24.html#CVE-2020-11984

Comment 10 Eric Christensen 2020-09-08 18:35:37 UTC
Statement:

Red Hat Enterprise Linux 5, 6, and 7 do not ship the vulnerable version of httpd and, thus, are not affected.

Comment 15 errata-xmlrpc 2020-10-28 15:49:44 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2020:4383 https://access.redhat.com/errata/RHSA-2020:4383

Comment 16 errata-xmlrpc 2020-10-28 16:00:57 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7
  JBoss Core Services on RHEL 6

Via RHSA-2020:4384 https://access.redhat.com/errata/RHSA-2020:4384

Comment 17 Product Security DevOps Team 2020-10-28 20:21:27 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-11984

Comment 21 Huzaifa S. Sidhpurwala 2021-02-03 10:08:43 UTC
Mitigation:

This flaw only affects specific httpd configurations which use the uwsgi protocol. It does not manifest itself when uwsgi protocol  is not used. Commenting out "LoadModule proxy_uwsgi_module modules/mod_proxy_uwsgi.so" in /etc/httpd/conf.modules.d/00-proxy.conf will disable the loading of the vulnerable module.

Comment 23 errata-xmlrpc 2021-05-18 15:15:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:1809 https://access.redhat.com/errata/RHSA-2021:1809


Note You need to log in before you can comment on or make changes to this bug.